PAPI_disable_component(3)

NAME
PAPI_disable_component - disables the specified component

SYNOPSIS

Detailed Description

Return values
    ENOCMP component does not exist
    ENOINIT cannot disable as PAPI has already been initialized

Parameters
    cidx component index of component to be disabled

Examples:

    int cidx, result;

    cidx = PAPI_get_component_index("example");

    if (cidx>=0) {
       result = PAPI_disable_component(cidx);
       if (result==PAPI_OK)
          printf("The example component is disabled\n");
    }
    // ...
    PAPI_library_init();

     PAPI_disable_component() allows the user to disable components before PAPI_library_init() time. This is useful if the user knows they do not wish to use events from that component and want to reduce the PAPI library overhead.

PAPI_disable_component() must be called before PAPI_library_init().

See also
    PAPI_get_event_component

    PAPI_library_init

Author

Generated automatically by Doxygen for PAPI from the source code.